function InputBlock(seconds) {
    return function (target, methodName, descriptor) {
        let oldMethod = descriptor.value;
        let isBlock = false;
        descriptor.value = function (...args) {
            if (isBlock) {
                console.log('gf:Util:InputBlock:Blocking');
                return;
            }
            isBlock = true;
            setTimeout(() => {
                isBlock = false;
            }, seconds * 1000);
            oldMethod.apply(this, args);
        };
        return descriptor;
    };
}
class Core {
    static Say() {
        console.log("Hello Numas!");
    }
}

var Core$1 = /*#__PURE__*/Object.freeze({
    __proto__: null,
    InputBlock: InputBlock,
    Core: Core
});

export { Core$1 as core };
